purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Publish.ErrorsWarnings

Synopsis

- data PackageError
  - = UserError UserError
  - | InternalError InternalError
  - | OtherError OtherError
- data PackageWarning
  - = NoResolvedVersion PackageName
  - | UnacceptableVersion (PackageName, Text)
  - | DirtyWorkingTreeWarn
- data UserError
  - = PackageManifestNotFound FilePath
  - | ResolutionsFileNotFound
  - | CouldntConvertPackageManifest BowerError
  - | CouldntDecodePackageManifest (ParseError ManifestError)
  - | TagMustBeCheckedOut
  - | AmbiguousVersions [Version]
  - | BadRepositoryField RepositoryFieldError
  - | NoLicenseSpecified
  - | InvalidLicense
  - | MissingDependencies (NonEmpty PackageName)
  - | CompileError MultipleErrors
  - | DirtyWorkingTree
  - | ResolutionsFileError FilePath (ParseError PackageError)
- data InternalError = CouldntParseGitTagDate Text
- data OtherError
  - = ProcessFailed String [String] IOException
  - | IOExceptionThrown IOException
- data RepositoryFieldError
  - = RepositoryFieldMissing (Maybe Text)
  - | BadRepositoryType Text
  - | NotOnGithub
- data JSONSource
  - = FromFile FilePath
  - | FromResolutions
- printError :: PackageError -> IO ()
- renderError :: PackageError -> Box
- printWarnings :: [PackageWarning] -> IO ()
- renderWarnings :: [PackageWarning] -> Box

# Documentation

data PackageError #

An error which meant that it was not possible to retrieve metadata for a package.

Constructors

UserError UserError |
InternalError InternalError |
OtherError OtherError |

#### Instances

Instances details

Show PackageError # |
Instance details Defined in Language.PureScript.Publish.ErrorsWarnings Methods showsPrec :: Int -> PackageError -> ShowS # show :: PackageError -> String # showList :: [PackageError] -> ShowS #
MonadError PackageError PrepareM # |
Instance details Defined in Language.PureScript.Publish Methods throwError :: PackageError -> PrepareM a # catchError :: PrepareM a -> (PackageError -> PrepareM a) -> PrepareM a #

data PackageWarning #

Constructors

NoResolvedVersion PackageName |
UnacceptableVersion (PackageName, Text) |
DirtyWorkingTreeWarn |

#### Instances

Instances details

Show PackageWarning # |
Instance details Defined in Language.PureScript.Publish.ErrorsWarnings Methods showsPrec :: Int -> PackageWarning -> ShowS # show :: PackageWarning -> String # showList :: [PackageWarning] -> ShowS #
MonadWriter [PackageWarning] PrepareM # |
Instance details Defined in Language.PureScript.Publish Methods writer :: (a, [PackageWarning]) -> PrepareM a # tell :: [PackageWarning] -> PrepareM () # listen :: PrepareM a -> PrepareM (a, [PackageWarning]) # pass :: PrepareM (a, [PackageWarning] -> [PackageWarning]) -> PrepareM a #

data UserError #

An error that should be fixed by the user.

Constructors

PackageManifestNotFound FilePath |
ResolutionsFileNotFound |
CouldntConvertPackageManifest BowerError |
CouldntDecodePackageManifest (ParseError ManifestError) |
TagMustBeCheckedOut |
AmbiguousVersions [Version] |
BadRepositoryField RepositoryFieldError |
NoLicenseSpecified |
InvalidLicense |
MissingDependencies (NonEmpty PackageName) |
CompileError MultipleErrors |
DirtyWorkingTree |
ResolutionsFileError FilePath (ParseError PackageError) |

#### Instances

Instances details

Show UserError # |
Instance details Defined in Language.PureScript.Publish.ErrorsWarnings Methods showsPrec :: Int -> UserError -> ShowS # show :: UserError -> String # showList :: [UserError] -> ShowS #

data InternalError #

An error that probably indicates a bug in this module.

Constructors

CouldntParseGitTagDate Text |

#### Instances

Instances details

Show InternalError # |
Instance details Defined in Language.PureScript.Publish.ErrorsWarnings Methods showsPrec :: Int -> InternalError -> ShowS # show :: InternalError -> String # showList :: [InternalError] -> ShowS #

data OtherError #

Constructors

ProcessFailed String [String] IOException |
IOExceptionThrown IOException |

#### Instances

Instances details

Show OtherError # |
Instance details Defined in Language.PureScript.Publish.ErrorsWarnings Methods showsPrec :: Int -> OtherError -> ShowS # show :: OtherError -> String # showList :: [OtherError] -> ShowS #

data RepositoryFieldError #

Constructors

RepositoryFieldMissing (Maybe Text) |
BadRepositoryType Text |
NotOnGithub |

#### Instances

Instances details

Show RepositoryFieldError # |
Instance details Defined in Language.PureScript.Publish.ErrorsWarnings Methods showsPrec :: Int -> RepositoryFieldError -> ShowS # show :: RepositoryFieldError -> String # showList :: [RepositoryFieldError] -> ShowS #

data JSONSource #

Constructors

FromFile FilePath |
FromResolutions |

#### Instances

Instances details

Show JSONSource # |
Instance details Defined in Language.PureScript.Publish.ErrorsWarnings Methods showsPrec :: Int -> JSONSource -> ShowS # show :: JSONSource -> String # showList :: [JSONSource] -> ShowS #

printError :: PackageError -> IO () #

renderError :: PackageError -> Box #

printWarnings :: [PackageWarning] -> IO () #

renderWarnings :: [PackageWarning] -> Box #